<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qtcreator-api.qdoc -->
  <title>Qt Creator Namespaces | Extending Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="extending-index.html">Extending Qt Creator Manual</a></td><td >Qt Creator Namespaces</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="extending-index.html">Extending Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Qt Creator Namespaces</h1>
<span class="subtitle"></span>
<!-- $$$namespaces.html-description -->
<div class="descr"> <a name="details"></a>
<div class="table"><table class="annotated">
<tr class="odd topAlign"><td class="tblName"><p><a href="aggregation.html">Aggregation</a></p></td><td class="tblDescr"><p>Contains support for bundling related components, such that each component exposes the properties and behavior of the other components to the outside</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="cplusplus.html">CPlusPlus</a></p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="core.html">Core</a></p></td><td class="tblDescr"><p>Contains all classes that make up the Core plugin which constitute the basic functionality of Qt Creator</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="core-fileiconprovider-sub-qt-creator.html">Core::FileIconProvider</a></p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="debugger.html">Debugger</a></p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="extensionsystem.html">ExtensionSystem</a></p></td><td class="tblDescr"><p>Classes that belong to the core plugin system</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="projectexplorer.html">ProjectExplorer</a></p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="http://doc.qt.io/qt-5/qcolorconstants.html">QColorConstants</a></p></td><td class="tblDescr"><p>Contains QColor predefined constants</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qmljs.html">QmlJS</a></p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="http://doc.qt.io/qt-5/qt-sub-qtgui.html">Qt</a></p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="http://doc.qt.io/qt-5/qtqml.html">QtQml</a></p></td><td class="tblDescr"><p>Provides functions for producing logging messages for QML types</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="texteditor.html">TextEditor</a></p></td><td class="tblDescr"><p>Contains the base text editor and several classes which provide supporting functionality like snippets, highlighting, code assist, indentation and style, and others</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="utils.html">Utils</a></p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="vcsbase.html">VcsBase</a></p></td><td class="tblDescr"><p>Contains classes for the VcsBase plugin</p></td></tr>
</table></div>
</div>
<!-- @@@namespaces.html -->
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
